package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuMessageInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractFeishuMessageInfo()
    {
        this("id");
    }
    protected AbstractFeishuMessageInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:飞书消息记录's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object: 飞书消息记录 's 接收人 property 
     */
    public com.kingdee.eas.base.permission.UserInfo getReceive()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("receive");
    }
    public void setReceive(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("receive", item);
    }
    /**
     * Object:飞书消息记录's 消息类型property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.MsgTypeEnum getMsgType()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.MsgTypeEnum.getEnum(getString("msgType"));
    }
    public void setMsgType(com.kingdee.eas.custom.integration.feishu.bizEnum.MsgTypeEnum item)
    {
		if (item != null) {
        setString("msgType", item.getValue());
		}
    }
    /**
     * Object:飞书消息记录's 消息内容property 
     */
    public String getContent()
    {
        return getString("content");
    }
    public void setContent(String item)
    {
        setString("content", item);
    }
    /**
     * Object:飞书消息记录's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object:飞书消息记录's 同步状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum.getEnum(getString("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("syncStatus", item.getValue());
		}
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("AD2A20DE");
    }
}